



rgi database -v
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi load -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi auto_load -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi main -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi tab -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi parser -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi clean -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi galaxy -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi bwt -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi kmer_build -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
rgi kmer_query -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
wget --quiet --output-document=homolog.fasta https://raw.githubusercontent.com/arpcard/rgi/master/tests/inputs/homolog.fasta | rgi main -i homolog.fasta -o output --debug -a diamond --clean
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
